Show / Hide Table of Contents

# Class JobGaugeBase

Base job gauge class.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<T>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class JobGaugeBase

### Properties

| Improve this Doc View Source

#### Address

Gets the address of this job gauge in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |